﻿using Infragistics.Win;
using Infragistics.Win.UltraWinScrollBar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraTilePanelNoScrollbar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            for (int i = 0; i < 100; i++)
            {
                ultraTilePanel1.Tiles.Add(new Infragistics.Win.Misc.UltraTile("Tile " + i.ToString())
                {
                    Control = new TextBox() { Text = "This is Tile " + i.ToString() }
                });
            }
            int scrollWidth = this.ultraTilePanel1.ScrollBarLook.GetVerticalScrollBarWidthResolved(this);
            this.ultraTilePanel1.DrawFilter = new TilePanelDrawFilter();
            ultraTilePanel1.Width += scrollWidth + 5;
        }

        public class TilePanelDrawFilter : IUIElementDrawFilter
        {
            public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
            {
                return true;
            }

            public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
            {
                if (drawParams.Element.GetType().Name == "VeritcalScrollBarUIElement")
                {
                    return DrawPhase.BeforeDrawElement;
                }
                else
                {
                    return DrawPhase.AfterDrawElement;
                }
            }
        }
    }
}
